class PoiItem {
  PoiItem({
    this.cityName,
    this.provinceName,
    this.adName,
    this.snippet,
    this.latitude,
    this.longitude,
    this.provinceCode,
    this.cityCode,
    this.businessArea,
    this.title,
    this.distance,
  });

  static PoiItem fromJson(dynamic json) {
    return PoiItem(
      cityName: json['cityName'],
      provinceName: json['provinceName'],
      adName: json['adName'],
      snippet: json['snippet'],
      latitude: json['latitude'],
      longitude: json['longitude'],
      provinceCode: json['provinceCode'],
      cityCode: json['cityCode'],
      businessArea: json['businessArea'],
      title: json['title'],
      distance: json['distance'],
    );
  }
  String? cityName;
  String? provinceName;
  String? adName;
  String? snippet;
  num? latitude;
  num? longitude;
  String? provinceCode;
  String? cityCode;
  String? businessArea;
  String? title;
  num? distance;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['cityName'] = cityName;
    map['provinceName'] = provinceName;
    map['adName'] = adName;
    map['snippet'] = snippet;
    map['latitude'] = latitude;
    map['longitude'] = longitude;
    map['provinceCode'] = provinceCode;
    map['cityCode'] = cityCode;
    map['businessArea'] = businessArea;
    map['title'] = title;
    map['distance'] = distance;
    return map;
  }


}
