
import 'package:clx_map_poi_search/core/poi_item.dart';

/// PoiList : []

class PoiResult {
  PoiResult({
    this.poiList,
  });

  PoiResult.fromJson(dynamic json) {
    if (json['poiList'] != null) {
      poiList = [];
      json['poiList'].forEach((v) {
        poiList?.add(PoiItem.fromJson(v));
      });
    }
  }

  static PoiResult? toPoiResult(dynamic json) {
    return PoiResult.fromJson(json);
  }

  List<PoiItem>? poiList;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    if (poiList != null) {
      map['poiList'] = poiList?.map((v) => v.toJson()).toList();
    }
    return map;
  }


}
