import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:clx_map_poi_search/core/clx_map_poi_search_method_channel.dart';

void main() {
  MethodChannelClxMapPoiSearch platform = MethodChannelClxMapPoiSearch();
  const MethodChannel channel = MethodChannel('clx_map_poi_search');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
